Package org.eclipse.gef.zest.fx.ui

# Class ZestFxUiModule

java.lang.Object
com.google.inject.AbstractModule
org.eclipse.gef.mvc.fx.ui.MvcFxUiModule
org.eclipse.gef.zest.fx.ui.ZestFxUiModule

All Implemented Interfaces:
  `Module`

public class ZestFxUiModule extends MvcFxUiModule
The `ZestFxUiModule` contains Zest.FX.UI specific bindings additional to the bindings defined within `MvcFxUiModule`.

## Constructor Summary

Constructors
Constructor
Description
`ZestFxUiModule()`

## Method Summary

### Methods inherited from class org.eclipse.gef.mvc.fx.ui.MvcFxUiModule

`bindFXCanvasFactory, bindIDirtyStateProviderFactory, bindIOperationHistory, bindIPropertySheetPageFactory, bindISelectionProviderFactory, configure`

### Methods inherited from class com.google.inject.AbstractModule

`addError, addError, addError, bind, bind, bind, bindConstant, binder, bindInterceptor, bindListener, bindListener, bindScope, configure, convertToTypes, currentStage, getMembersInjector, getMembersInjector, getProvider, getProvider, install, requestInjection, requestInjection, requestStaticInjection, requireBinding, requireBinding`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ZestFxUiModule

public ZestFxUiModule()